org.eclipse.remote.core

## Class RemoteServicesUtils

- java.lang.Object
- - org.eclipse.remote.core.RemoteServicesUtils

    public class RemoteServicesUtils
    extends java.lang.Object

Remote services utility methods.

### Constructor Summary

Constructors
Constructor and Description
`RemoteServicesUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.eclipse.core.runtime.IPath` `posixPath(java.lang.String path)` Constructs a new POSIX path from the given string path.
`static java.net.URI` `toURI(org.eclipse.core.runtime.IPath path)` Convert a UNC path to a URI Maps the UNC server component to a connection known by one of the remote service implementations.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RemoteServicesUtils

    public RemoteServicesUtils()

### Method Detail

#### posixPath

    public static org.eclipse.core.runtime.IPath posixPath(java.lang.String path)

Constructs a new POSIX path from the given string path. The string path must represent a valid file system path on a POSIX file system. The path is canonicalized and double slashes are removed except at the beginning (to handle UNC paths). All forward slashes ('/') are treated as segment delimiters. This factory method should be used if the string path is for a POSIX file system.

Parameters:
  `path` - the string path
Since:
  2.0
See Also:
  `Path.forPosix(String)`

#### toURI

    public static java.net.URI toURI(org.eclipse.core.runtime.IPath path)

Convert a UNC path to a URI Maps the UNC server component to a connection known by one of the remote service implementations. It is assumed that the server component is of the form "[connection_type_id:]connection_name". If the "connection_type_id:" part is omitted then the current connection type preference is used by default. If no preference is set, then each implementation is tried until a matching connection name is found.

Parameters:
  `path` - UNC path
Returns:
  corresponding URI or null if not a valid path